from django.db.models import TextChoices
from django.utils.translation import gettext as _


class RuleTypeChoices(TextChoices):
    feed = "feed", _("Feed")
    subreddit = "subreddit", _("Subreddit")
    twitter_timeline = "twitter_timeline", _("Twitter timeline")


class TwitterPostTypeChoices(TextChoices):
    photo = "photo", _("Photo")
    video = "video", _("Video")
    animated_gif = "animated_gif", _("GIF")
